Summary:	Mako template library for Python
Name:		python-mako
Version:	1.0.3
Release:	%mkrel 1
Group:		Development/Python
License:	MIT
URL:		http://www.makotemplates.org/
Source0:    	https://pypi.python.org/packages/source/M/Mako/Mako-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	python-nose
BuildRequires:	python-beaker
BuildRequires:	python-markupsafe
BuildRequires:	python-mock
Requires:	python-beaker
Requires:	python-markupsafe

%description
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%package -n python3-mako
Group:		Development/Python
Summary:	Mako template library for Python 3
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose
BuildRequires:	python3-beaker
BuildRequires:	python3-markupsafe
BuildRequires:	python3-mock
Requires:	python3-beaker
Requires:	python3-markupsafe

%description -n python3-mako
Mako is a template library written in Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's
syntax and API borrows from the best ideas of many others, including Django
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded
Python (i.e. Python Server Page) language, which refines the familiar ideas of
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python
calling and scoping semantics.

%prep
%setup -q -n Mako-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
2to3 --no-diffs -w mako test
%py3_build
popd

%py2_build


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/mako-render %{buildroot}/%{_bindir}/python3-mako-render
popd

%py2_install
rm -rf doc/build

%check
pushd %{py3dir}
PYTHONPATH=$(pwd) nosetests-%{python3_version}
popd

PYTHONPATH=$(pwd) nosetests

%files
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/mako-render
%{python2_sitelib}/*

%files -n python3-mako
%doc CHANGES LICENSE README.rst doc examples
%{_bindir}/python3-mako-render
%{python3_sitelib}/*



%changelog
* Mon Mar 21 2016 bb <bb> 1.0.3-1pclos2016
- update for uhd
